%define aurox_ver 10.1
%define rel 8.1


%define gettext_package redhat-menus

Summary: Configuration and data files for the desktop menus
Name: aurox-menus
Version: 1.13
Release: %{aurox_ver}.aur.%{rel}
URL: http://www.aurox.org
Source0: %{name}-%{version}.tar.bz2
#Source1: applications.menu
#Patch0: %{name}-aurox.patch
License: XFree86
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Provides: redhat-menus = %{version}
Obsoletes: redhat-menus
## old nautilus contained start-here stuff
Conflicts: nautilus <= 2.0.3-1
## desktop files in redhat-menus point to icons in new artwork
Conflicts: redhat-artwork < 0.35

%description

This package contains the XML files that describe the menu layout for 
GNOME and KDE, and the .desktop files that define the names and icons 
of "subdirectories" in the menus.

%prep
%setup -q
#%patch -p1

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
#install -d $RPM_BUILD_ROOT%{_datadir}/apps/kdesktop/DesktopLinks
install -d $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop

#for file in aurox hakin9 php software20 linuxplus; do
for file in desktop-links/*.desktop; do
#install -m 644 desktop-links/$file.desktop $RPM_BUILD_ROOT%{_datadir}/apps/kdesktop/DesktopLinks
#install -m 0644 desktop-links/$file.desktop.gnome $RPM_BUILD_ROOT%{_sysconfdir}/skel/.gnome-desktop/$file.desktop
tmpname=`basename $file`
install -m 0644 desktop-links/$tmpname $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop/$tmpname
#install -m 0644 desktop-links/$file.desktop $RPM_BUILD_ROOT%{_sysconfdir}/skel/Desktop/$file.desktop
done

install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps

# menus for kde >= 3.2.2
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
#cp -a kde-menus/* $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/

#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

#install -d $RPM_BUILD_ROOT%{_datadir}/nautilus
#install -m 644 desktop-links/aurox.desktop.gnome $RPM_BUILD_ROOT%{_datadir}/nautilus/aurox.desktop 
#cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/xdg/menus/

%find_lang %{gettext_package}


%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{gettext_package}.lang
%defattr(-,root,root)
#%dir %{_sysconfdir}/X11/desktop-menus
#%config %{_sysconfdir}/X11/desktop-menus/*
%config %{_sysconfdir}/xdg/menus/*
%{_sysconfdir}/X11/starthere
%{_sysconfdir}/skel
%{_datadir}/desktop-directories
%{_datadir}/desktop-menu-patches
%{_datadir}/applications
#%{_datadir}/nautilus
#%{_datadir}/apps
#%{_datadir}/pixmaps

%changelog
* Tue Nov 16 2004 Aurox Team <aurox@aurox.org> 0:1.13-10.1.aur.8.1
- instead of giving their names in spec file it's better to generate automatically the list of *.desktop files to be installed
- .psd magazine link on the desktop
 applications.menu
- change version to 1.6.1 to satisfy gnome-2.8 dependencies
- update System menu in KDE (only KDE apps in 1st level)
- edd menus for KDE compatible with Desktop Menu Specification
- show kde apps in GNOME menus
- move gimp to top-level menu
- exclude packages moved to top-level menu from second-level menu
- changes names of the desktop files for OpenOffice.org

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.7
- fix copying GNOME links to skel - so that we have multiple links

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.6
- use different icon for desktop links in KDE

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.5
- fix missing <Not> in GNOME menu

* Tue Jul 29 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.4
- Include category X-Aurox-Base in base menu in GNOME (fix for Evolution not available 
  in menu)

* Wed Jul 23 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.3
- fix for broken kde-k3b.desktop: include in AudioVideo

* Mon Jul 21 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.2
- Split KDE menu

* Fri Jul 18 2003 Robert Glowczynski <robertg@software.com.pl> 0.39-9.1.aur.1
- Fix missing Aurox-Base and evolution 1.4.3 link

* Sat Jun 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-6aur
- Czech menus updated

* Mon May 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-5aur
- Aurox URL for international releases is www.aurox.org
- French, German and Spanish menus updated (Education submenus)

* Thu Apr 17 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-4aur
- rename aurox-movie-player to aurox-video-player (like in player's rpm)

* Wed Apr 02 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-3aur
- in Education and AudioVideo accept X-Aurox-Base as an alternative to X-Red-Hat-Base
- mark movie player as X-Aurox-Base

* Sat Mar 29 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-2aur
- Add aurox-movie-player.desktop
- remove Education icon

* Wed Mar 05 2003 Robert Glowczynski <robertg@software.com.pl> 0.38-1aur
- Updated sources
- Education menus added
- Updated pot and Polish translation

* Thu Feb 13 2003 Robert Glowczynski <robertg@software.com.pl> 0.37-1aur
- Polish translation added
- Desktop link added for KDE and GNOME
- spec file included with sources

* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 0.37-1
- 0.37

* Wed Jan 29 2003 Havoc Pennington <hp@redhat.com>
- 0.36 fixes missing Preferences in start-here hopefully

* Mon Jan 27 2003 Havoc Pennington <hp@redhat.com>
- 0.35

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Than Ngo <than@redhat.com>
- 0.34, enable start-here.menu

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- 0.33

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- 0.32

* Tue Jan  7 2003 Havoc Pennington <hp@redhat.com>
- 0.31

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- 0.29, rebuild

* Wed Dec  4 2002 Than Ngo <than@redhat.com>
- 0.27, added some new catagories for KDE 3.1

* Tue Sep 03 2002 Phil Knirsch <pknirsch@redhat.com>
- 0.26 fixed start-here.menu missing </Folder> tag for Preferences

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.25 with htmlview, fixed start-here.menu

* Tue Aug 27 2002 Havoc Pennington <hp@redhat.com>
- 0.23 with new translations, KDE MIME fixes, openoffice Exec= fixes
- don't munge en_US text, broke docs. Back to just "Web Browser"

* Fri Aug 23 2002 Havoc Pennington <hp@redhat.com>
- 0.22 new translations
- munge en_US text to "Mozilla Web Browser" etc.

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- 0.21 with new translations

* Fri Aug 16 2002 Havoc Pennington <hp@redhat.com>
- 0.20 with new icons, etc.

* Fri Aug 16 2002 Havoc Pennington <hp@redhat.com>
- new icons, translations
- drop control-center patch, use from cvs

* Thu Aug 15 2002 Jonathan Blandford <jrb@redhat.com>
- move the control-center

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- 0.18 with changed icons etc.

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- 0.17 with System Settings submenu and translations

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 0.16 with start here

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 0.15 with placeholder icons for panel desktop files

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 0.14 with KDE preferences submenus

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- 0.12 with server-settings and system-settings

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- make it noarch

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 0.11 with audio player desktop file

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 0.10 trying Extras instead of All Apps, and add Advanced to preferences

* Tue Jul 30 2002 Havoc Pennington <hp@redhat.com>
- 0.9, has gdmsetup replacement desktop file

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 0.8

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.7, adds documentation submenu, strips Base-Only out of All Apps

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.6

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 0.5

* Sat Jul 20 2002 Than Ngo <than@redhat.com>
- add BaseGroup settings into Settings.directory

* Thu Jul 11 2002 Havoc Pennington <hp@redhat.com>
- fix group

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- 0.3
- 0.4

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- move menus to sysconfdir/X11
- hack on applications.menu a small amount. Needs
  major help.

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- description would be good

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


